package com.sundot.airport.exam.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.exam.common.model.BaseEntity;

import java.io.Serializable;

/**
 * <b>功能名：</b>TestPaper<br>
 * <b>说明：</b> 试卷表 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-18 liangxiao
 */
@TableName("edu_cs_test_paper")
public class TestPaper extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务主键
     */
    private String tpId;

    /**
     * 试卷名称
     */
    private String tpName;

    /**
     * 试卷题目数
     */
    private Integer tpQuesNum;

    /**
     * 试卷总分
     */
    private Integer tpTotalScore;

    /**
     * 试卷分类表业务主键
     */
    private String tpcId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    public String getTpName() {
        return tpName;
    }

    public void setTpName(String tpName) {
        this.tpName = tpName;
    }

    public Integer getTpQuesNum() {
        return tpQuesNum;
    }

    public void setTpQuesNum(Integer tpQuesNum) {
        this.tpQuesNum = tpQuesNum;
    }

    public Integer getTpTotalScore() {
        return tpTotalScore;
    }

    public void setTpTotalScore(Integer tpTotalScore) {
        this.tpTotalScore = tpTotalScore;
    }

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }

    @Override
    public String toString() {
        return "TestPaper{" +
                "id=" + id +
                ", tpId=" + tpId +
                ", tpName=" + tpName +
                ", tpQuesNum=" + tpQuesNum +
                ", tpTotalScore=" + tpTotalScore +
                ", tpcId=" + tpcId +
                "}";
    }
}